html {
  scroll-behavior: smooth;
}

body {
  animation: drop-in 1s ease 200ms;
  margin: 0;
  padding: 0;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
  animation: fadeInAnimationBody ease-in 0.6s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
  
}


@keyframes fadeInAnimationBody {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

#banner {
  margin-top: -1.7rem;
}

#menuToggle {
  display: block;
  position: relative;
  top: 50px;
  left: 50px;

  z-index: 1;

  -webkit-user-select: none;
  user-select: none;
}

#menuToggle a {
  text-decoration: none;
  color: #232323;

  transition: color 0.3s ease;
}

#menuToggle a:hover {
  color: rgba(230, 131, 100, 1);
}

#menuToggle input {
  display: block;
  width: 40px;
  height: 32px;
  position: absolute;
  top: -7px;
  left: -5px;

  cursor: pointer;

  opacity: 0;
  z-index: 2;
}

.fancy-big p {
  font-family: "Dynalight", cursive;
  font-size: 550%;
  margin: 0;
  text-align: center;
}

#menuToggle span {
  display: block;
  width: 33px;
  height: 4px;
  margin-bottom: 5px;
  position: relative;

  background: #cdcdcd;
  border-radius: 3px;

  z-index: 1;

  transform-origin: 4px 0px;

  transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1),
    background 0.5s cubic-bezier(0.77, 0.2, 0.05, 1), opacity 0.55s ease;
}

#menuToggle span:first-child {
  transform-origin: 0% 0%;
}

#menuToggle span:nth-last-child(2) {
  transform-origin: 0% 100%;
}

#menuToggle input:checked ~ span {
  opacity: 1;
  transform: rotate(45deg) translate(-2px, -1px);
  background: #232323;
}

#menuToggle input:checked ~ span:nth-last-child(3) {
  opacity: 0;
  transform: rotate(0deg) scale(0.2, 0.2);
}

#menuToggle input:checked ~ span:nth-last-child(2) {
  transform: rotate(-45deg) translate(0, -1px);
}

#menu {
  position: absolute;
  width: 350px;
  height: 880px;
  margin: -100px 0 0 -50px;
  padding: 50px;
  padding-top: 125px;

  background: white;
  list-style-type: none;
  -webkit-font-smoothing: antialiased;
  /* to stop flickering of text in safari */

  transform-origin: 0% 0%;
  transform: translate(-100%, 0);

  transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1);
}

#menu li {
  padding: 10px 0;
  font-size: 22px;
  display: flex;
  justify-content: center;
}

/*
  * And let's slide it in from the left
  */
#menuToggle input:checked ~ ul {
  transform: none;
}

#menu .logo {
  display: flex;
  justify-content: center;
  filter: invert(91%) sepia(2%) saturate(4009%) hue-rotate(322deg)
  brightness(91%) contrast(102%);
}
#menu h6 {
  display: flex;
  justify-content: center;
}



p {
  text-align: justify;
  text-justify: auto;
  font-size: 20px;
}



.banner {
  text-align: center;
}



.tinted-image {
  display: block;
  width: 100%;
  height: 1000px;

  background: linear-gradient(rgba(35, 2, 2, 0.6), rgba(35, 2, 2, 0.6)),
    url(https://drive.google.com/thumbnail?id=1QCpJRDi01C5ky43aedkCh1EAVabSD-LM&sz=w1000);

  background-position: center;
  

  background-repeat: no-repeat;
  background-size: cover;
}



.logo {
  margin: -1rem;
}

.logo img {
  height: 130px;
  width: auto;
}

.title {
  color: white;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

}


.moth-nav {
  position: sticky;
  top: 0;
  display: flex;
  justify-content: end;
  margin-right: 20px;

  filter: invert(91%) sepia(2%) saturate(4009%) hue-rotate(322deg)
    brightness(91%) contrast(102%);
}

.moth-nav img {
  height: 100px;
  width: auto;
}

.grid {
  display: grid;
  grid-template-columns: 1fr 2fr 3fr 2fr 1fr;
  grid-template-rows: repeat(3, 1fr);
  grid-column-gap: 0px;
  grid-row-gap: 0px;
}

#o-mnie {
  grid-area: 1 / 1 / 2 / 6;
  margin-left: 24%;
  margin-right: 24%;
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-bottom: 40px;

}
#o-mnie .fancy-big p {
  font-size: 80px;
  color: rgba(230, 131, 100, 1);
}

#o-mnie h2 {
  color: rgba(105, 82, 71, 1);
}

.img-o-mnie img {
  width: 400px;
  height: fit-content;
  margin-right: 40px;
}

#portfolio {
  grid-area: 1 / 2 / 2 / 5;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;

}

.fancy-medium p{
  /* font-size: 60px;
  color: rgba(230, 131, 100, 1);
  font-family: "Dynalight", cursive; */
  color: rgba(105, 82, 71, 1);
  font-size: 20px;
  font-weight: bold;
}
#portfolio .los {
  height: 60px;
  width: 350px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  border: solid rgba(217, 217, 217, 0.7) 2px;
  margin-top: 0px;
  margin-bottom: 20px;
}

.los a{
  font-size: 50px;
  color: rgba(230, 131, 100, 1);
  font-family: "Dynalight", cursive;

}

#portfolio .los:hover {
  background-color: rgba(217, 217, 217, 0.6);
  display: flex;
  justify-content: center;
  text-decoration: none;
}
.portfolio-content{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
}
.portfolio-content .fancy-big{
  margin-bottom: 20px;
}

.wrapper {

  max-width: 1100px;
  width: 100%;
  position: relative;


}

.wrapper .carousel {
  display: grid;
  grid-auto-flow: column;
  grid-auto-columns: calc((100% /3) - 12px);
  gap: 60px;
  overflow: hidden;
  scroll-behavior: smooth;
}

.carousel.dragging{

  cursor: grab;
  user-select: none;

}

.wrapper i {
  top: 50%;
  height: 50px;
  width: 50px;
  cursor: pointer;
  font-size: 1.25rem;
  position: absolute;
  text-align: center;
  line-height: 50px;
  color: white;
  background:  rgba(105, 82, 71, 1);
  border-radius: 50%;
  box-shadow: 0 3px 6px rgba(0,0,0,0.30);
  transform: translateY(-50%);
  transition: transform 0.1s linear;
}
.wrapper i:active{
  transform: translateY(-50%) scale(0.85);
}
.wrapper i:first-child{
  left: -70px;
}
.wrapper i:last-child{
  right: -70px;
}


li.img {
 
  height: fit-content;
  position: relative;
  list-style: none;

}

li.img img {
  width: 100%;
  height: auto;
  display: block;
  margin: auto;
}

.content-portfolio {
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  position: absolute;
  color: white;
  font-size: 160%;
  background: 
  /* top, transparent red */ linear-gradient(
    rgba(35, 2, 2, 0.6),
    rgba(35, 2, 2, 0.6)
  );
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  opacity: 1;
  transition: 0.6s;
}

.content-portfolio:hover{
  opacity: 0;
  

}

#oferta {
  grid-area: 2 / 2 / 3 / 5;
  padding-top: 2rem;
}

.oferta-napis img{
height: 180px;
}

.oferta-napis {
  display: flex;
justify-content: center;
align-items: center;
/* padding-top: 60px; */
}

#cennik {
  display: flex;
  justify-content: center;
  align-items: center;
}

#oferta h3 {
  color: rgba(230, 131, 100, 1);
}

#oferta a.cennik {
  height: 60px;
  width: 200px;
  display: flex;
  justify-content: center;
  text-decoration: none;
  border: solid rgba(217, 217, 217, 0.7) 2px;
}

#oferta a.cennik:hover {
  background-color: rgba(217, 217, 217, 0.6);
  display: flex;
  justify-content: center;
  text-decoration: none;
}

.img-of {
  width: 320px;
  position: relative;
}

.img-of img {
  width: 100%;
  height: auto;
  display: block;
  margin: auto;
}

.content-of {
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  position: absolute;
  color: white;
  font-size: 120%;
  background: 
  /* top, transparent red */ linear-gradient(
    rgba(35, 2, 2, 0.6),
    rgba(35, 2, 2, 0.6)
  );
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  opacity: 1;
  transition: 0.6s;
}

.content-of:hover {
  opacity: 0;
}

.oferta-images {
  display: flex;
  flex-direction: row;
  justify-content: space-around;

}

#oferta hr{
  color: rgba(230, 131, 100, 1);
  opacity: 0.3;
}
/* #cennik {
  padding-bottom: 5px;
} */




#kontakt {
  grid-area: 3 / 2 / 4 / 5;
  /* margin-top: 80px; */
  padding-top: 4rem;
 
}

#kontakt .fancy-big p,
h2 {
  color: rgba(230, 131, 100, 1);
  text-align: center;
}

#kontakt ul {
  list-style: none;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  /* margin-top: 4rem; */
}


.contacts {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  justify-content: space-around;
  margin: 60px;
}

.cnt {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  flex-direction: row;
}

.cnt p {
  margin-left: 10px;
}

a {
  text-decoration: none;
  color: rgba(105, 82, 71, 1);
}

.footer {
  grid-area: 5 / 1 / 6 / 6;
  text-align: center;
  color: rgba(105, 82, 71, 1);

}



/* MEDIAAAAAAAAA */
/* MEDIAAAAAAAAA */

/*
.


 /*@media only screen and (max-width: 1350px) {
 .fancy-big {
    font-size: 90%;
 }
 .wrapper {
  max-width: 1100px;
  width: 100%;
}

#oferta a.cennik {
  height: 50px;
  width: 190px;

}
#cennik a{
  padding-bottom: 8px;
}

}

*/

@media only screen and (max-width: 1350px) {
  p {
    font-size: 18px;
  }
  .fancy-big {
     font-size: 90%;
  }
  .wrapper {
   max-width: 950px;
   width: 100%;
 }
 
 #oferta a.cennik {
   height: 50px;
   width: 190px;
 
 }
 #cennik a{
   padding-bottom: 8px;
 }
 
 }

@media only screen and (max-width: 1235px) {

  .title {
    width: 1000px;
   }

   #o-mnie {
    display: flex;
    flex-direction: column;
   }
   #o-mnie .text{
      margin-top: 40px;
      margin-bottom: -30px;
   }
   .img-o-mnie img{
    margin: 0;
    width: 380px;
   }

  
  
   .wrapper {
    max-width: 800px;
    width: 100%;
    margin-top: 0;
  }
  #oferta {
    margin-top: -20px;
  }
  .wrapper .carousel {
 
    grid-auto-columns: calc((100% /2) - 12px);
    gap: 60px;

  }
  .wrapper i {

    height: 45px;
    width: 45px;
    font-size: 1.10rem;
    line-height: 45px;
    transition: transform 0.1s linear;

  }
  #oferta a.cennik {
    height: 20px;
    width: 160px;
  }

  #kontakt {
    margin-top: 0px;
  }
  #cennik a{
    padding-bottom: 38px;

    
  }


 }

 @media only screen and (max-width: 1180px) {


  #kontakt a{
    font-size: 90%;
   
  }
  .cnt {
    padding-left: 30px;
    padding-right: 30px;
  }

 }


@media only screen and (max-width: 1060px) {

  p {
    font-size: 17px;
  }
  .title {
    width: 1000px;
   }

   .img-o-mnie img{
    width: 340px;
   }


   .wrapper {
    max-width: 650px;
    width: 100%;
  }
  .wrapper .carousel {

    grid-auto-columns: calc((100% /2) - 12px);
    gap: 40px;

  }
  .wrapper i {

   
    margin-left: 10px;
    margin-right: 10px;

  }

  .moth-nav img {
    height: 90px;
    width: auto;
  }
  
  .oferta-napis img{
    height: 160px;
  }
  .cnt {
    padding-left: 20px;
    padding-right: 20px;
  }
  

 }

 
@media only screen and (max-width: 940px) {


  
#menu {

  width: 260px;
  height: 880px;
  margin: -100px 0 0 -50px;
  padding: 50px;
  padding-top: 125px;
}

#menu li{
  

  font-size: 120%;
}
 
   .wrapper {
    max-width: 500px;
    width: 100%;
    font-size: 80%;
  }

  .wrapper .carousel {
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: calc((100% /2) - 12px);
    gap: 20px;
    overflow: hidden;
    scroll-behavior: smooth;
  }
  .wrapper i {

    height: 40px;
    width: 40px;
    font-size: 1.10rem;
    line-height: 40px;
    transition: transform 0.1s linear;
    .moth-nav img {
      height: 100px;
      width: auto;
    }

  }
  .oferta-napis img{
    height: 140px;
  }
  .oferta-images {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  #oferta a.cennik {
   margin: 20px;
   margin-top: 25px;
  
  }

  #kontakt a{
    font-size: 80%;
   
  }

  

 }



 
@media only screen and (max-width: 820px) {
  .fancy-big {
     font-size: 80%;
  }
  .title {
    width: 700px;
   }

   .img-o-mnie img{
    max-width: 300px;
   }
   .wrapper {
    max-width: 390px;
    width: 100%;
    font-size: 60%;
  }
  .wrapper .carousel {
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: calc((100% /2) - 12px);
    gap: 20px;
    overflow: hidden;
    scroll-behavior: smooth;
  }
  .text-o-mnie {
    margin-bottom: -60px;
    margin-bottom: -80px;
  }
  
 #portfolio {
  margin-top: -700px;
  margin-bottom: -800px;
 }

 .fancy-medium {
  font-size: 60%;
 }
 .wrapper {
    
  font-size: 55%;
}
.oferta-napis img{
  height: 130px;
}

.contacts {
  display: flex;
  flex-direction: column;
}

#kontakt a{
  font-size: 100%;
 
}

.cnt {
  margin-bottom: 20px;
}
  
 }
 @media only screen and (max-width: 740px) {

    .moth-nav img {
      height: 70px;
      width: auto;
    }#menu {

      width: 220px;
      height: 880px;
      margin: -100px 0 0 -50px;
      padding: 50px;
      padding-top: 125px;
    }
    
    #menu li{
      
    
      font-size: 110%;
    }
     
    .footer {
      margin-top: 0px;
    }

    #kontakt {
      margin-top: 20px;
    }


    #instagram-list img {
      height: 160px;
      width: 160px;
      border-radius: 30px;
      margin:25px;
    
    }
 

  }


 @media only screen and (max-width: 600px) {
  .fancy-big {
     font-size: 70%;
    }

    .tinted-image {
      height: 700px;
    }

    .title {
     width: 500px;
    height: 200px;
    }
    .title h2{
      font-size: 100%;
    }
    .wrapper {
      max-width: 350px;
      width: 100%;
      font-size: 60%;
    }

    .wrapper i {

      height: 30px;
      width: 30px;
      font-size: 0.90rem;
      line-height: 30px;
      transition: transform 0.1s linear;
      margin-left: 20px;
      margin-right: 20px;
    }
    .wrapper .carousel {
      display: grid;
      grid-auto-flow: column;
      grid-auto-columns: calc((100% /1.2) - 12px);
      gap: 20px;
      overflow: hidden;
      scroll-behavior: smooth;
    }
    .moth-nav img {
      height: 70px;
      width: auto;
    }
    .oferta-napis img{
      height: 100px;
    }

    .img-of img {
      width: 14rem;
      height: auto;
      display: block;
      margin: auto;
    }
    
    .content-of {
      width: 14rem;
      height: 100%;
      top: 0;
      left: 3rem;
      position: absolute;
      color: white;
      font-size: 120%;
      background: 
    linear-gradient(
        rgba(35, 2, 2, 0.6),
        rgba(35, 2, 2, 0.6)
      );
      background-size: cover;
      display: flex;
      justify-content: center;
      align-items: center;
      flex-direction: column;
      opacity: 1;
      transition: 0.6s;
     
    }
    #kontakt .fancy-big h2{
      font-size: 60%;
    }

    #kontakt {
      margin-top: -20px;
    }
    #menu {

      width: 180px;
      height: 630px;
      margin: -100px 0 0 -50px;
      padding: 50px;
      padding-top: 125px;
    }
    
    #menu li{
      
    
      font-size: 100%;
    }

    .footer {
      margin-top: -400px;
    }
    
  }


@media only screen and (max-width: 550px) {

  h2 {
    font-size: 15px;
  }
  .img-of img {
    width: 12rem;
    height: auto;
    display: block;
    margin: auto;
  }
  
  .content-of {
    width: 12rem;
    height: 100%;
    top: 0;
    left: 4rem;
    position: absolute;
    color: white;
    font-size: 100%;
    background: 
  linear-gradient(
      rgba(35, 2, 2, 0.6),
      rgba(35, 2, 2, 0.6)
    );
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    opacity: 1;
    transition: 0.6s;
   
  }
  #kontakt .fancy-big p{
font-size: 390%;
  }

  .oferta-images h3 {
    padding-top: 3px;
    font-size: 90%;
  }

  #oferta a.cennik {
    height: 15px;
    width: 155px;
    display: flex;
    justify-content: center;
    text-decoration: none;
    border: solid rgba(217, 217, 217, 0.7) 2px;
  }
  #menu {

    width: 170px;
    height: 620px;
    margin: -100px 0 0 -50px;
    padding: 50px;
    padding-top: 125px;
  }
  
  #menu li{
    
  
    font-size: 100%;
  }
  .footer {
    margin-top: -600px;
  }
  
  

  
}

  
  @media only screen and (max-width: 500px) {
    .fancy-big {
       font-size: 50%;
      }
      .title {
       width: 300px;
      }
      .wrapper {
        max-width: 300px;
        width: 100%;
        font-size: 50%;
      }
      .wrapper .carousel {
        display: grid;
        grid-auto-flow: column;
        grid-auto-columns: calc((100% /1.1) - 10px);
        gap: 15px;
        overflow: hidden;
        scroll-behavior: smooth;
      }
      .text-o-mnie {
        margin-bottom: -80px;
      }
      .oferta-napis img{
        height: 90px;
      }
      .moth-nav img {
        width: 50px;
        height: auto;
      }

      #o-mnie {
        margin-bottom: -80px;
      }

      #oferta {
        margin-top: -100px;
      }
      #kontakt {
        margin-top: -100px;
      }
    .footer h6 {
      margin-top: 40rem;
    }

    #portfolio {
      margin-top: 240px;
      margin-bottom: 100px;
     }

     .fancy-medium p{
      font-size: 160%;
     }
    }
    .los a { font-size: 200%;}

   #portfolio .los { width: 230px;}

    @media only screen and (max-width: 450px) {
      .wrapper {
        max-width: 200px;
        width: 100%;
        font-size: 42%;
      }
      .img-o-mnie img{
        width: 200px;
        height: auto;
      }
      .footer {
        margin-top: -700px;
      }
      

      .wrapper i {

        height: 22px;
        width: 22px;
        font-size: 0.70rem;
        line-height: 22px;
        transition: transform 0.1s linear;
        margin-left: 40px;
        margin-right: 40px;
      }
  
      .text-o-mnie h2 {
        font-size: 90%;
      }
      .wrapper .carousel {
      
        gap: 10spx;
  
      }
      #o-mnie {
        margin-bottom: -40px;
      }

      #kontakt a{
        font-size: 80%;
      }
      

  
        }

        @media only screen and (max-width: 380px){
          #kontakt .fancy-big{
            font-size: 6.5px;
          }
          #kontakt {
            margin-top: -200px;
          }

          .footer {
            margin-top: -900px;
          }
          
          .fancy-medium p{
            font-size: 140%;
           }

        }
     
       
        @media only screen and (max-width: 350px){
          .wrapper {
            max-width: 200px;
            width: 100%;
            font-size: 42%;
          }

          #o-mnie .fancy-big p{
            font-size: 70px;
          }

          .text-o-mnie {
            margin-bottom: -200px;
          }
          .oferta-napis img{
            height: 80px;
          }
          .wrapper i {

            height: 22px;
            width: 22px;
            font-size: 0.70rem;
            line-height: 22px;
            transition: transform 0.1s linear;
            margin-left: 46px;
            margin-right: 46px;
          }
          .moth-nav img {
            margin-right: -15px;
            height: 40px;
          }

          .fancy-medium p{
            font-size: 130%;
           }
        }
      

    @media only screen and (max-width: 300px) {
      .fancy-big {
         font-size: 50%;
        }
        .wrapper .carousel {
          display: grid;
          grid-auto-flow: column;
          grid-auto-columns: calc((100% /1.1) - 10px);
          gap: 15px;
          overflow: hidden;
          scroll-behavior: smooth;
        }

        
      } 
  

/* MEDIAAAAAAAAA */
/* MEDIAAAAAAAAA */

